// JavaScript Document
exports.onesignal_view_subscription_iams = async function (options) {
    // get appid
    const appid = this.parseOptional(options.appid, '*', process.env.ONESIGNAL_APP_ID)
    console.log(options.appid + " => " + appid)

    const subscription_id = this.parseRequired(options.subscription_id, '*', 'Subscription ID not specified')
    console.log('Subscription_id: ' + options.subscription_id + " => " + subscription_id)
    const fetch = require('node-fetch');

    const url = `https://api.onesignal.com/apps/${appid}/subscriptions/${subscription_id}/iams`;
    const os_options = { method: 'GET', headers: { accept: 'application/json' } };

    return fetch(url, os_options)
        .then(res => {

            return res.json().then(json => {
                json.status = res.status; // Add status to json response
                return json;
            });
        })
        .catch(err => console.error('Error:', err));
}

